#!/bin/bash

SCOPE_ID=$(awk '/scope-id/ {print $2}' pnp.conf)
DEV_NAME=$(awk '/device-name/ {print $2}' pnp.conf)
NTP_SERV=$(awk '/ntp-server/ {print $2}' pnp.conf)

ntpdate $NTP_SERV

mkdir -p /opt/ca/
echo $DEV_NAME > /opt/ca/CN
cp Runtimes/opt /etc/
rm -f /etc/opt/ca/leaf-ca.pem
rm -f /etc/opt/ca/leaf-key.pem
rm -r /opt/ca/leaf-ca.pem
rm -f /opt/ca/leaf-key.pem
cp Cerificate/device-ca.pem /etc/opt/ca/leaf-ca.pem
cp Cerificate/device-key.pem /etc/opt/ca/leaf-key.pem
cp Cerificate/device-ca.pem /opt/ca/leaf-ca.pem
cp Cerificate/device-key.pem /opt/ca/leaf-key.pem
sync

cd Runtimes/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:../lib
export SSL_CERT_FILE=/etc/opt/ssl/ca-certificates.crt
./driverecorder $SCOPE_ID
